﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Pivot.Core;

namespace RadPivotGrid_SL_ConcatenateStrings
{
    public class StringAggregateValue : AggregateValue
    {
        private string value { get; set; }

        protected override void AccumulateOverride(object value)
        {
            this.value = value as string;
        }

        protected override object GetValueOverride()
        {
            return this.value;
        }

        protected override void MergeOverride(AggregateValue childAggregate)
        {
            this.value += ((StringAggregateValue)childAggregate).value;
        }
    }
}
