﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Pivot.Core;

namespace RadPivotGrid_SL_ConcatenateStrings
{
    public class ConcatenateAggregateFunction : AggregateFunction
    {
        public override string ToString()
        {
            return "Concatenate";
        }
        protected override AggregateValue CreateAggregate(Type dataType)
        {
            return new StringAggregateValue();
        }
        
        protected override void CloneCore(Cloneable source)
        {
            //
        }

        protected override Cloneable CreateInstanceCore()
        {
            return new ConcatenateAggregateFunction();
        }
    }
}
