﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace RadPivotGrid_SL_ConcatenateStrings
{
    public class SampleOrders : Collection<Order>
    {
        public SampleOrders()
        {
            this.Add(new Order { Date = new DateTime(2010, 6, 1), Product = "Printer stand", Quantity = 11, Net = 119.70, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 1), Product = "Glare filter", Quantity = 6, Net = 77.82, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 1), Product = "Mouse pad", Quantity = 15, Net = 100.95, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 1), Product = "Glare filter", Quantity = 11, Net = 149.71, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 2), Product = "Mouse pad", Quantity = 22, Net = 155.40, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 2), Product = "Mouse pad", Quantity = 3, Net = 20.19, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 2), Product = "Copy holder", Quantity = 5, Net = 33.65, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 2), Product = "Printer stand", Quantity = 22, Net = 239.36, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 2), Product = "Glare filter", Quantity = 10, Net = 129.70, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Mouse pad", Quantity = 22, Net = 155.40, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Printer stand", Quantity = 8, Net = 82.96, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Printer stand", Quantity = 22, Net = 239.40, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Copy holder", Quantity = 55, Net = 388.50, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Mouse pad", Quantity = 25, Net = 168.25, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Glare filter", Quantity = 22, Net = 299.42, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 6), Product = "Mouse pad", Quantity = 33, Net = 256.41, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 6), Product = "Printer stand", Quantity = 11, Net = 119.70, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 6), Product = "Glare filter", Quantity = 22, Net = 329.34, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 6), Product = "Copy holder", Quantity = 20, Net = 134.60, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 24), Product = "Printer stand", Quantity = 99, Net = 1185.03, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 24), Product = "Printer stand", Quantity = 55, Net = 658.35, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 5), Product = "Printer stand", Quantity = 11, Net = 131.67, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 8), Product = "Printer stand", Quantity = 25, Net = 299.25, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 9), Product = "Printer stand", Quantity = 22, Net = 263.34, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 12), Product = "Printer stand", Quantity = 11, Net = 131.67, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 13), Product = "Printer stand", Quantity = 22, Net = 263.34, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 14), Product = "Printer stand", Quantity = 30, Net = 311.10, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 15), Product = "Printer stand", Quantity = 15, Net = 155.55, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 16), Product = "Printer stand", Quantity = 20, Net = 207.40, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 17), Product = "Printer stand", Quantity = 74, Net = 767.38, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 7), Product = "Printer stand", Quantity = 102, Net = 1057.74, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 8), Product = "Glare filter", Quantity = 22, Net = 329.34, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 9), Product = "Glare filter", Quantity = 11, Net = 164.67, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 12), Product = "Glare filter", Quantity = 33, Net = 494.01, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 13), Product = "Glare filter", Quantity = 33, Net = 494.01, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 14), Product = "Glare filter", Quantity = 25, Net = 374.25, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 15), Product = "Glare filter", Quantity = 30, Net = 449.10, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 16), Product = "Glare filter", Quantity = 30, Net = 449.10, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 16), Product = "Glare filter", Quantity = 25, Net = 374.25, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 17), Product = "Glare filter", Quantity = 15, Net = 224.55, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 20), Product = "Glare filter", Quantity = 99, Net = 1482.03, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 21), Product = "Glare filter", Quantity = 132, Net = 1976.04, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 22), Product = "Glare filter", Quantity = 15, Net = 194.55, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 23), Product = "Glare filter", Quantity = 69, Net = 894.93, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 24), Product = "Glare filter", Quantity = 120, Net = 1556.40, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 7), Product = "Mouse pad", Quantity = 55, Net = 427.35, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 8), Product = "Mouse pad", Quantity = 44, Net = 341.88, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 9), Product = "Mouse pad", Quantity = 55, Net = 427.35, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 12), Product = "Mouse pad", Quantity = 66, Net = 512.82, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 13), Product = "Mouse pad", Quantity = 50, Net = 336.50, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 14), Product = "Mouse pad", Quantity = 45, Net = 302.85, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 15), Product = "Mouse pad", Quantity = 75, Net = 504.75, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 16), Product = "Mouse pad", Quantity = 50, Net = 336.50, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 25), Product = "Mouse pad", Quantity = 77, Net = 598.29, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 26), Product = "Mouse pad", Quantity = 165, Net = 1282.05, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 17), Product = "Mouse pad", Quantity = 187, Net = 1452.99, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 18), Product = "Mouse pad", Quantity = 68, Net = 457.64, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 19), Product = "Mouse pad", Quantity = 122, Net = 821.06, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 20), Product = "Mouse pad", Quantity = 175, Net = 1177.75, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 7), Product = "Copy holder", Quantity = 25, Net = 168.25, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 8), Product = "Copy holder", Quantity = 30, Net = 201.90, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 9), Product = "Copy holder", Quantity = 15, Net = 100.95, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 12), Product = "Copy holder", Quantity = 20, Net = 134.60, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 13), Product = "Copy holder", Quantity = 11, Net = 85.47, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 14), Product = "Copy holder", Quantity = 22, Net = 170.94, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 15), Product = "Copy holder", Quantity = 22, Net = 170.94, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 16), Product = "Copy holder", Quantity = 33, Net = 256.41, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 21), Product = "Copy holder", Quantity = 22, Net = 170.94, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 22), Product = "Copy holder", Quantity = 66, Net = 512.82, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 6, 23), Product = "Copy holder", Quantity = 121, Net = 940.17, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 24), Product = "Copy holder", Quantity = 62, Net = 417.26, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 25), Product = "Copy holder", Quantity = 65, Net = 437.45, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 6, 26), Product = "Copy holder", Quantity = 21, Net = 141.33, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 1), Product = "Printer stand", Quantity = 88, Net = 1053.36, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 2), Product = "Printer stand", Quantity = 44, Net = 526.68, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 3), Product = "Printer stand", Quantity = 77, Net = 921.69, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 4), Product = "Printer stand", Quantity = 102, Net = 1057.74, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 7, 5), Product = "Printer stand", Quantity = 60, Net = 622.20, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 6), Product = "Printer stand", Quantity = 80, Net = 829.60, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 7), Product = "Glare filter", Quantity = 110, Net = 1646.70, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 8), Product = "Glare filter", Quantity = 77, Net = 1152.69, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 7, 9), Product = "Glare filter", Quantity = 77, Net = 1152.69, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 10), Product = "Glare filter", Quantity = 124, Net = 1608.28, Promotion = "Extra Discount", Advertisement = "Magazine", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 7, 11), Product = "Glare filter", Quantity = 65, Net = 843.05, Promotion = "Extra Discount", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 12), Product = "Glare filter", Quantity = 130, Net = 1686.10, Promotion = "Extra Discount", Advertisement = "Newspaper", StringAggregate = "a" });
            this.Add(new Order { Date = new DateTime(2010, 7, 13), Product = "Mouse pad", Quantity = 275, Net = 2136.75, Promotion = "1 Free with 10", Advertisement = "Magazine", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 14), Product = "Mouse pad", Quantity = 121, Net = 940.17, Promotion = "1 Free with 10", Advertisement = "Direct mail", StringAggregate = "b" });
            this.Add(new Order { Date = new DateTime(2010, 7, 15), Product = "Mouse pad", Quantity = 176, Net = 1367.52, Promotion = "1 Free with 10", Advertisement = "Newspaper", StringAggregate = "b" });

        }

    }
}
